Package wx :: Package lib :: Package mixins :: Module treemixin :: Class TreeAPIHarmonizer

[frames | no frames]

## Type TreeAPIHarmonizer

    object --+
             |
            TreeAPIHarmonizer

Known Subclasses:
  `DragAndDrop`, `ExpansionState`, `VirtualTree`

This class attempts to hide the differences in API between the different tree controls that are part of wxPython.

Method Summary
| `__init__(self, *args, **kwargs)`
| `ExpandAll(self, item)`
| `GetColumnCount(self, *args, **kwargs)`
| `GetCount(self)`
| `GetItemChecked(self, *args, **kwargs)`
| `GetItemImage(self, item, which, column)`
| `GetItemType(self, *args, **kwargs)`
| `GetMainWindow(self, *args, **kwargs)`
| `GetSelections(self)`
| ``HitTest`(self, *args, **kwargs)` HitTest returns a two-tuple (item, flags) for tree controls without columns and a three-tuple (item, flags, column) for tree controls with columns.
| `IsItemChecked(self, *args, **kwargs)`
| `SelectItem(self, item, *args, **kwargs)`
| `SetItemChecked(self, *args, **kwargs)`
| `SetItemImage(self, item, imageIndex, which, column)`
| `SetItemType(self, item, newType)`
| `UnselectAll(self)`

Method Details

### HitTest(self, *args, **kwargs)

HitTest returns a two-tuple (item, flags) for tree controls without columns and a three-tuple (item, flags, column) for tree controls with columns. Our caller can indicate this method to always return a three-tuple no matter what tree control we're mixed in with by specifying the optional argument 'alwaysReturnColumn' to be True.

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:13:38 2007 | http://epydoc.sf.net